---
title: Heyu X10
description: Instructions on how to setup X10 devices within Home Assistant.
ha_category:
  - Light
ha_iot_class: Local Polling
ha_release: 0.25
ha_domain: x10
---

The `x10` light platform allows you to control your X10 based lights with Home Assistant.

Requires [Heyu x10](https://www.heyu.org/) and a CM11A or a CM17A "FireCracker" interface.

To enable those lights, add the following lines to your `configuration.yaml` file:

```yaml
# Example configuration.yaml entry
light:
  - platform: x10
    devices:
      - id: a2
        name: Guest Room
      - id: a3
        name: Bedroom Lamp
```

{% configuration %}
devices:
  description: A list of devices.
  required: true
  type: list
  keys:
    id:
      description: Device identifier. Composed of house code and unit id.
      required: true
      type: string
    name:
      description: A friendly name for the device.
      required: true
      type: string
{% endconfiguration %}
